[Pkg-haskell-commits] darcs: tools: Some bugfixes

Joachim Breitner mail at joachim-breitner.de
Sun Oct 14 10:34:12 UTC 2012


Sun Oct 14 10:33:54 UTC 2012  Joachim Breitner <mail at joachim-breitner.de>
  * Some bugfixes
  Ignore-this: f59650b86ced1282a8774397ed8b46c6

    M ./mass-build.sh -4 +10
    M ./mass-release.sh -1 +1

Sun Oct 14 10:33:54 UTC 2012  Joachim Breitner <mail at joachim-breitner.de>
  * Some bugfixes
  Ignore-this: f59650b86ced1282a8774397ed8b46c6
diff -rN -u old-tools//mass-build.sh new-tools//mass-build.sh
--- old-tools//mass-build.sh	2012-10-14 10:34:12.707855385 +0000
+++ new-tools//mass-build.sh	2012-10-14 10:34:12.719720181 +0000
@@ -77,9 +77,11 @@
 		continue
 	fi
 
+	set -e
 	dist=$(dpkg-parsechangelog -lchangelog -c1 |grep-dctrl -n -s Distribution .)
 	version=$(dpkg-parsechangelog -lchangelog -c1 |grep-dctrl -n -s Version .)
-	if [ $dist = "UNRELEASED" ]
+	set +e
+	if [ "$dist" = "UNRELEASED" ]
 	then
 		nottobuild="$nottobuild $dir"
 	else
@@ -87,18 +89,22 @@
 		then
 			released="$released $dir"
 		else
-			tobuild="$nottobuild $dir"
+			tobuild="$tobuild $dir"
 		fi
 	fi
 	popd >/dev/null
 done
 
 echo "Figuring out build order..."
-tobuild=$($ORDER_SOURCES $tobuild)
+if [ -n "$tobuild" ]
+then
+	tobuild="$($ORDER_SOURCES $tobuild)"
+fi
 
 echo "Starting builds..."
 for dir in $tobuild
 do
+	echo "Building $dir..."
 	if ! pushd "$dir" >/dev/null
 	then
 		echo "Failed to switch to \"$dir\""
@@ -107,7 +113,7 @@
 	repodir=$PWD
 	popd >/dev/null
 
-	pushd $result
+	pushd $result >/dev/null
 
 	dpkg-scanpackages . > Packages
 	dpkg-scansources . > Sources
diff -rN -u old-tools//mass-release.sh new-tools//mass-release.sh
--- old-tools//mass-release.sh	2012-10-14 10:34:12.595721568 +0000
+++ new-tools//mass-release.sh	2012-10-14 10:34:12.723719872 +0000
@@ -42,7 +42,7 @@
 		echo "Releasing $dir"
 		if [ -n "$dist" ]
 		then
-			debchange --changelog=changelog  -r '' -D $currentdist
+			debchange --changelog=changelog  -r '' -D $dist
 		else
 			debchange --changelog=changelog  -r ''
 		fi





More information about the Pkg-haskell-commits mailing list